#
# spec file for package python-terminado
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


# Disable tests until random testing race condition fixed, see: https://github.com/jupyter/terminado/issues/21
%bcond_with     tests

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-terminado
Version:        0.8.3
Release:        lp152.1.2
Summary:        Terminals served to termjs using Tornado websockets
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            https://github.com/jupyter/terminado
Source:         https://files.pythonhosted.org/packages/source/t/terminado/terminado-%{version}.tar.gz
BuildRequires:  %{python_module ptyprocess}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module tornado >= 4}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module pytest}
# /SECTION
Requires:       python-ptyprocess
Requires:       python-tornado >= 4
BuildArch:      noarch
%python_subpackages

%description
This is a Tornado websocket backend for the term.js Javascript terminal
emulator library.

It evolved out of pyxterm, which was part of GraphTerm (as lineterm.py), and
ultimately derived from the public-domain Ajaxterm code (also on Github as part
of QWeb).

%prep
%setup -q -n terminado-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest -k 'not test_max_terminals'

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Mon Nov 18 2019 Todd R <toddrme2178@gmail.com>
- Update to version 0.8.3
  * Addkwargs to NamedTermManager.new_named_terminal
* Sun Aug 11 2019 Todd R <toddrme2178@gmail.com>
- Enable tests
* Wed Jun 12 2019 Todd R <toddrme2178@gmail.com>
- Update to version 0.8.2
  * Fix Delete Terminal Not Working with Tornado version 6.0.1
  * Set websocket.terminal to None when the child exits
* Tue Feb 13 2018 toddrme2178@gmail.com
- Disable tests until random testing race condition fixed
  * see: https://github.com/jupyter/terminado/issues/21
* Tue Nov 28 2017 arun@gmx.de
- update to version 0.8.1:
  * no changelog available
* Mon Nov 27 2017 arun@gmx.de
- update to version 0.8:
  * Add support for Windows on Python 3: #44
* Sun Nov 19 2017 arun@gmx.de
- update to version 0.7:
  * :meth:`terminado.TermSocket.open` now calls the "open()" method on
    the parent class using "super()". This allows a mixin class; for
    instance, to periodically send ping messages to keep a connection
    open.
  * When a websocket client disconnects from a terminal managed by
    :class:`~.UniqueTermManager`, the "SIGHUP" signal is sent to the
    process group, not just the main process.
  * Fixed :meth:`terminado.NamedTermManager.kill` to use the signal
    number passed to it.
  * Switched to Flit packaging.
  * README and requirements for demos.
* Mon Apr 24 2017 toddrme2178@gmail.com
- Fix URL.
- Implement single-spec version.
* Sat Apr  8 2017 toddrme2178@gmail.com
- Update to 0.6
  (no upstream changelog)
* Fri Aug 14 2015 toddrme2178@gmail.com
- Initial version
